Bug 24097 - (mga) Failure to load video card drivers.
Summary: (mga) Failure to load video card drivers.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 1.0
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-16 06:22 UTC by Need Real Name
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-03 11:03:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-01-16 06:22:18 UTC
XFree86-4.0.2-0.1.src.rpm
XFree86-4.0.2-0.2.src.rpm


both upon trying to load the mga.o and nv.o modules spit a long list of
unresolved symbols. These symbols are in libc etc. I do not know why.

I am trying XFree86-4.0.2-1.src.rpm as soon as i can get it to
compile.....

Temporary soultion is to fall back on the framebuffer module.

Comment 1 Bernhard Rosenkraenzer 2001-01-23 15:12:36 UTC
Does this still happen with 4.0.2-1?


Comment 2 Need Real Name 2001-01-23 18:00:04 UTC
Hello,
  this is an upadate on the X bug. I finally traced down the bugs
last night. NOTE there re three sections below with some space in between.

1. File: xc/programs/Xserver/hw/xfree86/loader/xf86sym.c
 
   Problem: The mga_driver.o (matrox) needs the memset for any platform
            using an matrox card. (Basically all of the,)

   Solution: Patch is below:

--- XFree86-4.0.2/xc/programs/Xserver/hw/xfree86/loader/xf86sym.c~        Fri
Dec  8 16:31:52 2000
+++ XFree86-4.0.2/xc/programs/Xserver/hw/xfree86/loader/xf86sym.c Sun Jan 21
03:22:38 2001
@@ -788,8 +788,8 @@
     * Some PPC, SPARC, and IA64 compilers generate calls to memset to handle 
     * aggregate initializations.
     */
-   SYMFUNC(memset)
 #endif
+   SYMFUNC(memset)
    SYMFUNC(xf86memmove)
    SYMFUNC(xf86memset)
    SYMFUNC(xf86mmap)

2: File: xc/programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c
File: xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c
   Problem: The sysmbols need to be defined or not defined.

   Solution: Fix the defines.

--- xc/programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c     Thu Dec  7
14:26:21 2000
+++ xc/programs/Xserver/hw/xfree86/drivers/mga/mga_driver.c.new Tue Jan 23
10:53:19 2001
@@ -277,6 +277,10 @@
     "vgaHWFreeHWRec",
     "vgaHWSaveScreen",
     "vgaHWddc1SetSpeed",
+               "vgaHWRestore",
+               "vgaHWGetIndex",
+               "vgaHWSave",
+               "vgaHWUnmapMem",
     NULL
 };
 
@@ -287,6 +291,7 @@
 
 static const char *fbSymbols[] = {
     "fbScreenInit",
+               "fbPictureInit",
     NULL
 };
 
@@ -306,6 +311,7 @@
     "XAAFallbackOps",
     "XAAFillSolidRects",
     "XAAMoveDWORDS",
+               "XAA_888_plus_PICT_a8_to_8888",
     NULL
 };
 
@@ -370,6 +376,7 @@
 #if MGAuseI2C
     "xf86DoEDID_DDC2",
 #endif
+               "xf86SetDDCproperties",
     NULL
 };
 
@@ -2302,6 +2309,8 @@
        }
        xf86LoaderReqSymLists(shadowSymbols, NULL);
     }
+
+
 
     pMga->CurrentLayout.bitsPerPixel = pScrn->bitsPerPixel;
     pMga->CurrentLayout.depth = pScrn->depth;
--- xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c       Sat Dec 16
11:33:00 2000
+++ xc/programs/Xserver/hw/xfree86/drivers/nv/nv_driver.c.new   Tue Jan 23
10:59:19 2001
@@ -159,6 +159,10 @@
 #ifdef DPMSExtension
     "vgaHWDPMSSet",
 #endif
+               "vgaHWRestore",
+               "vgaHWGetIndex",
+               "vgaHWSave",
+               "vgaHWUnmapMem",
     NULL
 };
 
@@ -188,6 +192,8 @@
     "XAADestroyInfoRec",
     "XAACreateInfoRec",
     "XAAInit",
+               "XAACopyROP",
+               "XAAPatternROP",
     NULL
 };
 
@@ -206,6 +212,7 @@
 #if NVuseI2C
     "xf86DoEDID_DDC2",
 #endif
+               "xf86SetDDCproperties",
     NULL
 };
 
3: Problem:    matrox_driver causes the machine to reset.
   Solution:   None known yet.
   Workaround: Use the frame buffer device. ugh.

Leslie Donaldson


Comment 3 Mike A. Harris 2001-03-17 20:34:29 UTC
Luugi, can you look at this and comment?  I have noticed this problem
also, but oddly also on the alpha.  Thanks.

Also, Leslie, can you please attach the patches to the bug report as files
using the link below?  When I cut and paste them they do not apply cleanly.

Thanks for the info!

Comment 4 Mike A. Harris 2001-04-03 11:03:13 UTC
This problem is fixed in 4.0.3-5 in rawhide I believe.  If you haven't
already, please upgrade.  Does it work for you?

Comment 5 Mike A. Harris 2001-04-19 20:36:41 UTC
Fixed in rawhide as noted above.


Note You need to log in before you can comment on or make changes to this bug.